Bug 1219574 - [gui] resource optional arguments: quoted strings missing
Summary: [gui] resource optional arguments: quoted strings missing
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: pcs
Version: 7.2
Hardware: Unspecified
OS: Unspecified
high
unspecified
Target Milestone: rc
: ---
Assignee: Ondrej Mular
QA Contact: cluster-qe@redhat.com
URL:
Whiteboard:
Depends On: 1189857
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-05-07 16:47 UTC by Patrik Hagara
Modified: 2015-11-19 09:37 UTC (History)
4 users (show)

Fixed In Version: pcs-0.9.143-1.el7
Doc Type: Bug Fix
Doc Text:
Cause: Value of resource optional argument contains character '"'. Consequence: Web UI didn't show full value of attribute with character '"' Fix: Escaping spacial HTML characters. Result: Web UI shows arguments values properly.
Clone Of:
Environment:
Last Closed: 2015-11-19 09:37:29 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 1198640 0 high CLOSED [WebUI] spaces not allowed in resource agent options fields 2021-02-22 00:41:40 UTC
Red Hat Bugzilla 1220778 0 low CLOSED [RFC] should pcs escape double-quotes to prevent clashes/irregularity with string-denoting ones in parameter printouts? 2021-02-22 00:41:40 UTC
Red Hat Product Errata RHSA-2015:2290 0 normal SHIPPED_LIVE Moderate: pcs security, bug fix, and enhancement update 2015-11-19 09:43:53 UTC

Internal Links: 1198640 1220778

Description Patrik Hagara 2015-05-07 16:47:22 UTC
Description of problem:
Double quotes along with everything in-between are not visible in resource optional argument text fields. Eg. when additional_parameters option of mysql resource is set to:
  <nvpair id="my-instance_attributes-additional_parameters" name="additional_parameters" value="--bind-address=&quot;0.0.0.0&quot;"/>

then the text field in pcs-gui contains just:
  --bind-address=

Version-Release number of selected component (if applicable):
pcs-0.9.137-13.el7.x86_64

How reproducible:
always

Steps to Reproduce:
create resource with quotes in optional parameter

Actual results:
pcs-gui hides quotes and everything between them

Expected results:
show the same values as set in cib

Additional info:

Comment 2 Patrik Hagara 2015-05-07 16:59:53 UTC
pcs cli shows the correct values:

# pcs resource show my
 Resource: my (class=ocf provider=heartbeat type=mysql)
  Attributes: additional_parameters=--bind-address="0.0.0.0" config=/etc/oh-my.cnf 
  Operations: start interval=0s timeout=120 (my-start-timeout-120)
              stop interval=0s timeout=120 (my-stop-timeout-120)
              monitor interval=20 timeout=30 (my-monitor-interval-20)
              monitor interval=10 role=Master timeout=30 (my-monitor-interval-10-role-Master)
              monitor interval=30 role=Slave timeout=30 (my-monitor-interval-30-role-Slave)
              promote interval=0s timeout=120 (my-promote-timeout-120)
              demote interval=0s timeout=120 (my-demote-timeout-120)

Comment 3 Jan Pokorný [poki] 2015-05-15 20:42:34 UTC
Cf. http://clusterlabs.org/pipermail/users/2015-May/000403.html

Comment 4 Tomas Jelinek 2015-08-10 13:20:18 UTC
Fixed in a complex rewrite of the resources page in the web UI, patches in bz1189857


Before Fix:
[root@rh71-node1 ~]# rpm -q pcs
pcs-0.9.142-2.el7.x86_64
[root@rh71-node1:~]# pcs resource create dummy0 Dummy fake=quoted\ \"test\"
Web UI shows an empty value of the fake attribute.



After Fix:
[root@rh71-node1:~]# rpm -q pcs
pcs-0.9.143-1.el7.x86_64
[root@rh71-node1:~]# pcs resource create dummy0 Dummy fake=quoted\ \"test\"
Web UI shows 'quoted "test"' as a value of the fake attribute.

Comment 8 errata-xmlrpc 2015-11-19 09:37:29 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-2290.html


Note You need to log in before you can comment on or make changes to this bug.